> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scoot.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Entry Config

Creates or updates entry rules configuration for Scootaverse sessions.


## OpenAPI

````yaml POST /api/v1/rules/entry/config
openapi: 3.0.2
info:
  title: Scoot Customer API - Complete Documentation
  version: 1.0.0
  description: >-
    Complete API documentation for Scoot customer-facing endpoints with full
    type definitions from the backend service.
servers:
  - url: https://api.scoot.app
    description: Production server
security: []
tags:
  - name: Social
    description: Social event management endpoints
  - name: Room
    description: Room management endpoints
  - name: Theme
    description: Theme and background management endpoints
  - name: Event
    description: Event registration and management endpoints
  - name: Recording
    description: Recording and transcription endpoints
  - name: Playlist
    description: Audio playlist management endpoints
  - name: Badging
    description: Badge and gamification endpoints
  - name: User
    description: User management endpoints
paths:
  /api/v1/rules/entry/config:
    post:
      tags:
        - RulesController
      summary: POST /api/v1/rules/entry/config
      operationId: post__api_v1_rules_entry_config
      parameters:
        - in: query
          name: socialRoomSetId
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SocialEntryConfiguration'
      responses:
        '200':
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SocialEntryConfiguration:
      type: object
      properties:
        configurationId:
          type: string
          format: uuid
        name:
          type: string
        entryOption:
          enum:
            - DEFAULT
            - ACCOUNT
            - CUSTOM_RULES
            - STARTING_POINT
        groupSpawnSize:
          type: integer
        groupFormerCount:
          type: integer
        startingPointX:
          type: integer
        startingPointY:
          type: integer
        entryFlow:
          enum:
            - SPIRAL
            - GRID
        rules:
          type: array
          items:
            $ref: '#/components/schemas/EntryRule'
        associatedSocialIds:
          type: array
          items:
            type: string
            format: uuid
    EntryRule:
      type: object
      properties:
        property:
          type: string
        operator:
          type: string
        value:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````